org.apache.jmeter.visualizers.backend.graphite

## Class SocketOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class SocketOutputStream
      extends java.io.FilterOutputStream

  Convenience class for writing bytes to a Socket.
  Since:
    2.13

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketOutputStream(java.net.InetSocketAddress inetSocketAddress)`
    `SocketOutputStream(java.net.Socket socket)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `getSocket()` Return the underlying Socket
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, flush, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketOutputStream

          public SocketOutputStream(java.net.InetSocketAddress inetSocketAddress)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### SocketOutputStream

          public SocketOutputStream(java.net.Socket socket)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getSocket

          public java.net.Socket getSocket()

      Return the underlying Socket
      Returns:
        the underlying `Socket`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.